%def_disable static

Name: libgee
Version: 0.4.0
Release: alt1
Summary: a collection library providing GObject-based interfaces
License: LGPL
Group: System/Libraries
Url: http://live.gnome.org/Libgee
Packager: Ildar Mulyukov <ildar@altlinux.ru>

Source: %name.tar

# Automatically added by buildreq on Sat Oct 04 2008
BuildRequires: glib2-devel vala

%description
libgee is a collection library providing GObject-based interfaces and classes
for commonly used data structures.

The ArrayList, HashSet, and HashMap classes provide a reasonable sample
implementation of the List, Set, and Map interfaces. ReadOnlyCollection,
ReadOnlyList, ReadOnlySet, and ReadOnlyMap are read-only wrapper classes that
prevent modification of the underlying collection.

libgee is written in Vala and can be used like any GObject-based C library. It's planned to provide bindings for further languages.

%package devel
Group: Development/C
Summary: Development files of %name
Requires: %name = %version-%release

%description devel
libgee is a collection library providing GObject-based interfaces and classes
for commonly used data structures.

This package contains the C headers and libs required for building programs
with %name.

%if_enabled static
%package devel-static
Group: Development/C
Summary: Static library of %name
Requires: %name-devel = %version-%release

%description devel-static
libgee is a collection library providing GObject-based interfaces and classes
for commonly used data structures.

This package contains the static library required for statically linking
applications with %name.

%endif #enabled static

%prep
%setup -q -n %name
echo "See changes in the GIT tree" > ChangeLog

%build
%autoreconf
%configure %{subst_enable static}
%make_build
make check

%install
%makeinstall

%files
%_libdir/*.so.*
%doc AUTHORS ChangeLog* MAINTAINERS NEWS README

%files devel
%_includedir/gee-1.0
%_libdir/*.so
%_pkgconfigdir/gee-1.0.pc
%_datadir/vala/vapi/*
%_datadir/gir-*/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Oct 05 2009 Ildar Mulyukov <ildar@altlinux.ru> 0.4.0-alt1
- new version
- moved *.vapi to devel subpackage

* Mon Jul 20 2009 Ildar Mulyukov <ildar@altlinux.ru> 0.1.6-alt1
- new version

* Sat Feb 21 2009 Ildar Mulyukov <ildar@altlinux.ru> 0.1.5-alt1
- new version

* Sat Oct 04 2008 Ildar Mulyukov <ildar@altlinux.ru> 0.1.4-alt1.20081001
- initial build for ALTLinux
